#ifndef SBCLIB_RND_MakeFileTime
#include <windows.h>

FILETIME MakeFileTime(const double unixtime)
{ // Converts UNIX timestamps to Windows FILETIMEs
	FILETIME ret; double t=(unixtime+86400.0*(369*365+89))*1e7; // offset from 1970-Jan-01 to 1601-Jan-01 origin
	ret.dwHighDateTime=(unsigned)floor(t/4294967296.0); ret.dwLowDateTime=(unsigned)floor(t-ret.dwHighDateTime*4294967296.0);
	return ret;
}

#define SBCLIB_RND_MakeFileTime
#endif
